import { h } from "@stencil/core";
/**
 * @slot default - Ska vara en textsträng
 * @swedishName Ingress
 */
export class TypographyPreamble {
    render() {
        return (h("p", { key: '98b2a45c25c8d544e8d760983744665bf84ba96b', class: "digi-typography-preamble" }, h("slot", { key: 'fe1d32a81071ef11edfbe8a453d5096473065f89' })));
    }
    static get is() { return "digi-typography-preamble"; }
    static get encapsulation() { return "scoped"; }
    static get originalStyleUrls() {
        return {
            "$": ["typography-preamble.scss"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["typography-preamble.css"]
        };
    }
}
